<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['net.ihe.gazelle.PatientManager.HL7v3Responders']}</h1>
                <s:decorate template="/sut/configurationsTable_common.xhtml">
                    <ui:param name="confman" value="#{hl7v3ResponderSUTConfManager}"/>
                    <ui:param name="restrictAccess" value="#{true}"/>
                    <ui:define name="additionalText"/>
                    <ui:define name="additional_columns"/>
                    <ui:param name="globalFormId" value="globalForm"/>
                    <ui:define name="filters">
                        <div class="form-horizontal">
                            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:define name="label">#{messages['gazelle.simulator.Usage']}</ui:define>
                                <ui:param name="id" value="usageFilter"/>
                                <h:selectOneMenu value="#{hl7v3ResponderSUTConfManager.filteredUsage}"
                                                 id="usageFilter" styleClass="form-control  gzl-select-text">
                                    <s:selectItems value="#{hl7v3ResponderSUTConfManager.getPossibleListUsages()}"
                                                   var="us" label="#{us.getLabelForFilter()}"
                                                   noSelectionLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                                    <a4j:ajax event="change" render="globalForm"/>
                                </h:selectOneMenu>
                            </ui:decorate>
                            <h:panelGroup rendered="#{identity.loggedIn}">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{hl7v3ResponderSUTConfManager.filter}"/>
                                    <ui:param name="filterId" value="owner"/>
                                    <ui:param name="filterName" value="#{messages['gazelle.simu.Owner']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </h:panelGroup>
                        </div>
                    </ui:define>
                </s:decorate>
                <s:decorate template="/sut/editSystemConfig_common.xhtml">
                    <ui:param name="confman" value="#{hl7v3ResponderSUTConfManager}"/>
                    <ui:param name="restrictAccess" value="#{true}"/>
                    <ui:param name="displayUsageSelection" value="#{true}"/>
                    <ui:param name="displayUrlInput" value="true"/>
                    <ui:define name="additional_attributes">
                        <a4j:region id="deviceOIDRegion">
                            <s:decorate id="editDeviceOIDDecorate" template="/layout/form/_edit.xhtml">
                                <ui:define name="label">
                                    #{messages['net.ihe.gazelle.PatientManager.ReceiverDeviceIdrootOID']}
                                </ui:define>
                                <ui:param name="id" value="editDeviceOIDValue"/>
                                <h:inputText id="editDeviceOIDValue" styleClass="form-control"
                                             value="#{hl7v3ResponderSUTConfManager.selectedSystemConfiguration.deviceOID}"
                                             tabindex="1"
                                             size="30" maxlength="164" required="true">
                                    <a4j:ajax event="blur" render="editDeviceOIDValue"/>
                                </h:inputText>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region id="organizationOIDRegion">
                            <s:decorate id="editorganizationOIDDecorate" template="/layout/form/_edit.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.PatientManager.OrganizationOID']}
                                </ui:define>
                                <ui:param name="id" value="editorganizationOIDValue"/>
                                <h:inputText id="editorganizationOIDValue" styleClass="form-control"
                                             value="#{hl7v3ResponderSUTConfManager.selectedSystemConfiguration.organizationOID}"
                                             tabindex="1"
                                             size="30" maxlength="164" required="true">
                                    <a4j:ajax event="blur" render="editorganizationOIDValue"/>
                                </h:inputText>
                            </s:decorate>
                        </a4j:region>
                    </ui:define>
                </s:decorate>
                <ui:include src="/sut/configModalPanel.xhtml">
                    <ui:param name="confman" value="#{hl7v3ResponderSUTConfManager}"/>
                </ui:include>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
